Package org.eclipse.birt.report.model.api.elements.structures

# Class DateFormatValue

java.lang.Object
org.eclipse.birt.report.model.core.Structure
org.eclipse.birt.report.model.api.elements.structures.FormatValue
org.eclipse.birt.report.model.api.elements.structures.DateFormatValue

All Implemented Interfaces:
  `Cloneable`, `IStructure`, `org.eclipse.birt.report.model.core.IPropertySet`

public class DateFormatValue extends FormatValue
The format value for the data.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`FORMAT_VALUE_STRUCT`
Name of this structure.

### Fields inherited from class org.eclipse.birt.report.model.api.elements.structures.FormatValue

`CATEGORY_MEMBER, LOCALE_MEMBER, PATTERN_MEMBER`

## Constructor Summary

Constructors
Constructor
Description
`DateFormatValue()`

## Method Summary

Modifier and Type
Method
Description
`StructureHandle`
`getHandle(SimpleValueHandle valueHandle)`
Return an `FormatValueHandle` to deal with the date-time format.
`String`
`getStructName()`
Returns the name of the structure definition.
`StructureHandle`
`handle(SimpleValueHandle valueHandle, int index)`
Creates the specific handle of this structure.

### Methods inherited from class org.eclipse.birt.report.model.api.elements.structures.FormatValue

`getCategory, getIntrinsicProperty, getLocale, getPattern, setCategory, setIntrinsicProperty, setLocale, setPattern, toString`

### Methods inherited from class org.eclipse.birt.report.model.core.Structure

`checkStringMember, copy, equals, getCompatibleValue, getContext, getDefn, getElement, getExpressionProperty, getHandle, getLocalProperty, getLocalProperty, getMemberDefn, getObjectDefn, getProperty, getProperty, getReferencableProperty, getStringProperty, isDesignTime, isReferencable, setContext, setExpressionProperty, setProperty, setProperty, setupContext, updateReference, validate`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### FORMAT_VALUE_STRUCT

public static final String FORMAT_VALUE_STRUCT
Name of this structure. Matches the definition in the meta-data dictionary.

See Also:
  - Constant Field Values

## Constructor Details

### DateFormatValue

public DateFormatValue()

## Method Details

### getStructName

public String getStructName()
Description copied from interface: `IStructure`
Returns the name of the structure definition. The name is the one used to define the structure in the meta-data dictionary.

Specified by:
  `getStructName` in interface `IStructure`
Overrides:
  `getStructName` in class `FormatValue`
Returns:
  the internal name of the structure a defined in the meta-data dictionary.

### handle

public StructureHandle handle(SimpleValueHandle valueHandle, int index)
Description copied from class: `org.eclipse.birt.report.model.core.Structure`
Creates the specific handle of this structure. This handle is always created.

Overrides:
  `handle` in class `FormatValue`
Parameters:
  `valueHandle` - the value handle of this structure list property this structure is in
  `index` - the position of this structure in structure list
Returns:
  the handle of this structure.

### getHandle

public StructureHandle getHandle(SimpleValueHandle valueHandle)
Return an `FormatValueHandle` to deal with the date-time format.

Overrides:
  `getHandle` in class `FormatValue`
Parameters:
  `valueHandle` - the property or member handle
Returns:
  the structure handle